0255cd81ac8cf179ccc57ed697f1a3cfcfa3e51c
[debian/bti.git] / debian / changelog
1 bti (034-1) UNRELEASED; urgency=medium
2
3   * New upstream release. Important changes:
4     - use https for all Twitter URLs
5       Closes: #735367
6     - drop (already broken) support for StatusNet / identi.ca (which has
7       switched from StatusNet to the never-supported pump.io)
8       Closes: #714330, #717133
9
10  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 18:14:08 +0100
11
12 bti (033-2) unstable; urgency=low
13
14   * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
15     (Closes: #714335)
16
17  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200
18
19 bti (033-1) unstable; urgency=low
20
21   * New upstream release:
22     - fixes "bti should terminate with an error if the --config file can't
23       be read" (Closes: #669192)
24     - fixes "bti no longer works with Twitter and loses posted tweets"
25       by adjusting to the Twitter API v 1.1
26       (Closes: #714032)
27   * Refresh manpage-debian.patch (offset).
28   * Add build dependency on libjson-c-dev.
29   * Add patch to handle Debian's libjson-c.
30   * Add a patch to fix a spelling mistake in the manpage.
31   * Update OAuth instructions on README.Debian. (Closes: #706104)
32   * Update long description (direct messages are supported now).
33
34  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200
35
36 bti (032-2) unstable; urgency=low
37
38   * Update Vcs-* headers.
39   * debian/watch: update after github URL schema change.
40   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
41     #650138) and make build dependency on liboauth-dev versioned just in
42     case). (LP: #1072720)
43   * Remove version from bash-completion build dependency, nothing older in
44     the archive.
45   * debian/copyright: switch formatting to Copyright-Format 1.0.
46   * Update years of packaging copyright.
47   * Set Standards-Version to 3.9.4 (no changes).
48   * Bump debhelper compatibility level to 9.
49   * debian/rules: make build non-silent.
50
51  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
52
53 bti (032-1) unstable; urgency=low
54
55   * New upstream release
56   * debian/watch: use github redirector, there are no released tarballs at the
57     moment.
58   * The tarball from github doesn't ship a configure script; use
59     dh-autoreconf.
60   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
61     included upstream).
62
63  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
64
65 bti (031-4) unstable; urgency=low
66
67   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
68     conflict with each other, and liboauth-dev now requires the former.
69     (Fixes a not-yet-detected FTBFS.)
70
71  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
72
73 bti (031-3) unstable; urgency=low
74
75   * Add patch to output the correct configfile name (identi.ca/OAuth/access
76     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
77
78  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
79
80 bti (031-2) unstable; urgency=low
81
82   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
83     URI's to point to https instead of http (closes: #602507).
84   * Set Standards-Version to 3.9.2 (no changes).
85   * Improve long description.
86
87  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
88
89 bti (031-1) unstable; urgency=low
90
91   * New upstream release:
92     - addresses "bti doesn't warn if the password is incorrect": check server
93       replies in non-background mode, only in non-OAuth mode
94       (partly solves #602502)
95
96  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
97
98 bti (030-1) unstable; urgency=low
99
100   * New upstream release.
101   * Switch to debhelper 8.
102
103  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
104
105 bti (029-2) unstable; urgency=low
106
107   * Upload to unstable.
108
109  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
110
111 bti (029-1) experimental; urgency=low
112
113   * New upstream release: includes fixes for
114     + "the --dry-run option has no effect (tweets get posted anyway)
115        with OAuth" (closes: #608608)
116     + "--replyto doesn't work with OAuth" (closes: #608112)
117   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
118     description and add a patch to change the name in the manpage and the
119     example config; thanks to Julien Valroff for the bug report
120     (closes: #605407).
121   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
122     upstream.
123   * Refresh remaining patches.
124   * debian/copyright: update years of upstream and packaging copyright; update
125     formatting.
126   * Don't install README anymore.
127   * Upload to experimental because of the freeze.
128
129  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
130
131 bti (028-2) unstable; urgency=low
132
133   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
134     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
135     request_token URI in order to make OAuth work with identi.ca
136     (closes: #602507).
137   * Minor fixes in README.Debian.
138
139  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
140
141 bti (028-1) unstable; urgency=low
142
143   * New upstream release:
144     - support for replying to notices
145     - adds OAuth support for both twitter and identi.ca (closes: #588235)
146     - split --background from --bash, and make the latter imply the former
147   * Refresh manpage-debian.patch.
148   * Set Standards-Version to 3.9.1 (no changes).
149   * Add build dependency on liboauth-dev.
150   * debian/rules: switch order of dh arguments (preparation for dh8).
151   * debian/copyright: update years of upstream copyright.
152   * Add README.Debian about OAuth usage.
153
154  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
155
156 bti (026-1) unstable; urgency=low
157
158   * Bump build dependency on bash-completion (needed for --with
159     bash-completion in debian/rules).
160
161   * New upstream release.
162   * Refresh patch manpage-debian.patch and DEP3 patch headers.
163   * debian/copyright: refresh DEP5 header, update years of packaging
164     copyright.
165   * Set Standards-Version to 3.8.4 (no changes).
166   * Convert to source format 3.0 (quilt). Remove quilt framework.
167     Lower debhelper dependency.
168
169  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
170
171 bti (025-1) unstable; urgency=low
172
173   * New upstream release: 
174     - set default host to twitter (closes: #563098)
175     - mention correct host in prompts (closes: #563099)
176
177  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
178
179 bti (024-1) unstable; urgency=low
180
181   * New upstream release:
182     - do not display password while user types it (LP: #386525)
183     - disable echo when reading the password
184     - add laconica group support
185   * debian/control: add Homepage field and adjust long description.
186   * Use "--with bash-completion" in debian/rules to install bash-completion
187     snippet; bump build dependencies on debhelper and bash-completion in
188     debian/control.
189
190  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
191
192 bti (023-2) unstable; urgency=low
193
194   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
195     Matthias Klose for the pointer.
196   * Set Standards-Version to 3.8.3 (no changes).
197   * Add debian/README.source to document quilt usage.
198   * Simplify debian/rules, adjust versioned build dependencies on debhelper
199     and quilt in debian/control.
200   * Use dh_bash-completion for installing the completion snippet; adjust
201     debian/rules, add a versioned build dependency on bash-completion.
202
203  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
204
205 bti (023-1) unstable; urgency=low
206
207   * New upstream release, main changes:
208     - new 'verbose' mode
209     - SSL also for twitter
210   * debian/copyright: add new additional copyright holder.
211   * Refresh patch manpage-debian.patch.
212   * debian/control: mention additional actions in long description.
213
214  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
215
216 bti (022-1) unstable; urgency=low
217
218   * New upstream release, main changes:
219     - support for custim laconi.ca instances
220     - use SSL for identi.ca
221   * debian/copyright: add additional copyright holder.
222
223  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
224
225 bti (021-1) unstable; urgency=low
226
227   * New upstream release, contains changes in autoconf tools:
228     - simplify debian/rules and debian/install
229     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
230
231  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
232
233 bti (020-1) unstable; urgency=low
234
235   * New upstream release:
236     - remove patch getopt.patch, included upstream
237     - remove manpage for bti-shrink-urls from debian/, included upstream
238     - upstream uses autoconf, adjust debian/rules and debian/install, remove
239       debian/manpages
240
241  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
242
243 bti (017-1) unstable; urgency=low
244
245   * New upstream release.
246   * Add build-dependency on libpcre3-dev.
247   * Refresh patch manpage-debian.patch.
248   * debian/install: add new bti-shrink-urls.
249   * debian/copyright: add information about bti-shrink-urls.
250   * Create a manpage for bti-shrink-urls.
251   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
252     target which is not easier to use than the manual installation we've been
253     using).
254   * Add a new patch getopt.patch to make the new commandline options available
255     in bti.c.
256
257  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
258
259 bti (015-1) unstable; urgency=low
260
261   * New upstream release; from the RELEASE-NOTES:
262     "--action support, bti now can output data from the twitter
263     and identica servers".
264   * Add build dependency on libxml2-dev.
265   * Refresh patch manpage-debian.patch.
266   * Set Standards-Version to 3.8.1 (no changes).
267
268  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
269
270 bti (014-1) unstable; urgency=low
271
272   * New upstream release.
273
274  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
275
276 bti (013-1) unstable; urgency=low
277
278   * New upstream release.
279   * Use dh_install instead of dh_bash-completion to install the bash
280     completion snippet in order to work around a problem on the amd64 buildd
281     (closes: #513115). Drop build dependency on bash-completion.
282
283  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
284
285 bti (012-1) unstable; urgency=low
286
287   * New upstream release.
288   * Install the new bash completion script; add bash-completion to
289     Build-Depends and Suggests.
290   * Refresh patch manpage-debian.patch.
291
292  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
293
294 bti (011-1) unstable; urgency=low
295
296   * New upstream release.
297   * Add build dependency on libreadline5-dev.
298
299  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
300
301 bti (010-1) unstable; urgency=low
302
303   * New upstream release, includes a new --proxy option and honours the
304     http_proxy environment variable (closes: #511087).
305   * Refresh patch manpage-debian.patch.
306
307  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
308
309 bti (008-1) unstable; urgency=low
310
311   * New upstream release (due to december twitter server change).
312   * Update years of packaging copyright.
313
314  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
315
316 bti (007-1) unstable; urgency=low
317
318   * New upstream release.
319
320  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
321
322 bti (006-1) unstable; urgency=low
323
324   * Initial release (Closes: #503241)
325
326  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200